> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/storefronts/get-storefront-details/get-storefront-language-and-currency.md).

# Get storefront language and currency

### `Ecwid.getStorefrontLang()`

This method responds with the current storefront language in ISO 639-1 language code. Use it to dynamically translate custom content on the page.

Code example:

```javascript
var lang = Ecwid.getStorefrontLang();
console.log(lang);

//prints
// "en"
```

### `Ecwid.formatCurrency()`

This method allows you to get store currency settings on the storefront. It is useful if you need to add a widget that displays some price to customers.

It accepts a numeric price as an argument and responds with a formatted price using store settings: currency symbol, and delimiter symbol and precision.

Code example:

```javascript
var currencyFormat = Ecwid.formatCurrency(12.99);
console.log(currencyFormat);

// prints
// "$12.99"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/storefronts/get-storefront-details/get-storefront-language-and-currency.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
